This API will be used to do intra wallet fund transfer.
Environment: https://domain/api/onboarding/v2/transferFunds
HTTP Method: GET
Request parameters
<WalletHeader />
Body
Sample request
Request packet (Encrypted)
{
"token":"Pl8F5kDZcvADIiursiAvvbHNuL9Wv5eaFdorGVFU6FKfIEnV/YskkzJlAov2ZHJWnqGNLOXfBq4SQqw8Ep4sK0gCAAkRXATCb1nSY6s="
}
Request packet (Decrypted)
{
"messageCode": "1680",
"clientTxnId": "FunDTrJMphIBit011111111018111101112177111111111295",
"requestDateTime": "20220717101432",
"senders": [
{
"urn": 414934,
" accountNumber ": "10008dd1c78_13",
"transactionAmount": "1500",
"sourceAccountType": 1,
"sourceAccount": "1234",
"reserved1": "O|10009",
"reserved2": "PG Load",
"reserved3": "201607040918K4"
}
],
"receivers": [
{
"urn": 414935,
"customerId": "payu49",
"accountNumber": "10008dd1c78_12",
"transactionAmount": "1500",
"reserved4": "I|10009", ]
"reserved5": "PG Load",
"reserved6": "2016aasd07040918"
}
]
}
Response parameters
API error codes
| Error Code | Description |
|---|---|
| 00 | SUCCESS |
| 1055 | MALFORMED_REQUEST |
| 1085 | PRODUCT NOT ALLOWED |
| 1052 | SYSTEM_ERROR |
| 1032 | INVALID_CLIENT_CHANNEL |
| 1081 | OPERATION NOT ALLOWED |
| 1080 | IP_NOT_ALLOWED |
| 1049 | INVALID SECURE CODE |
| 1051 | CHECKSUM FAILURE |
| 1093 | INVALID CLIENT TXN ID |
| 1320 | REQUEST_DATETIME_IS_MANDATORY |
| 1031 | INVALID BANK ID |
| 1264 | BANK ID NOT PRESENT |
| 1262 | CLIENT ID NOT PRESENT |
| 1310 | XCONSUMERKEY NOT PRESENT |
| 1030 | INVALID MESSAGE |
| 1311 | SECURE CODE NOT PRESENT |
| 1088 | INVALID DATE FORMAT |
Sample response
Packet sample (Encrypted)
{
“token”:"Pl8F5kDZcvADIiursiAvvbHNuL9Wv5eaFdorGVFU6FKfIEnV/YskkzJlAov2ZHJWnqGNLOXfBq4SQqw8Ep4sK0gCAAkRXATCb1nSY6s="
}
Packet sample (Decrypted)
Failure scenario
{
"urn": 414934,
"customerId": "payu47",
"responseCode": "1501",
"messageCode": 1681,
"clientTxnId": "FunDTrJMphIBit011111018111101112177111111111295",
"clientId": 2000,
"responseDateTime": "20230913143701",
"accosaTransactionId": 2623908,
"responseMessage": "SYSTEM ERROR",
"bankId": 1234
}